Apache JMeter

## org.apache.jmeter.protocol.smtp.sampler.protocol
Class TrustAllSSLSocketFactory

    java.lang.Object
      javax.net.SocketFactory
          javax.net.ssl.SSLSocketFactory
              org.apache.jmeter.protocol.smtp.sampler.protocol.TrustAllSSLSocketFactory

    public class TrustAllSSLSocketFactory

extends SSLSocketFactory

This class can be used as a SocketFactory with SSL-connections. Its purpose is to ensure that all certificates - no matter from which CA - are accepted to secure the SSL-connection.

Constructor Summary
`TrustAllSSLSocketFactory()` Standard constructor

Method Summary
`Socket` `createSocket()`
`Socket` `createSocket(InetAddress inaddr, int i)`
`Socket` `createSocket(InetAddress inaddr, int i, InetAddress inaddr1, int j)`
`Socket` `createSocket(Socket socket, String s, int i, boolean flag)`
`Socket` `createSocket(String s, int i)`
`Socket` `createSocket(String s, int i, InetAddress inaddr, int j)`
`static SocketFactory` `getDefault()` Factory method
`String[]` `getDefaultCipherSuites()`
`String[]` `getSupportedCipherSuites()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrustAllSSLSocketFactory

    public TrustAllSSLSocketFactory()

  Standard constructor

Method Detail

### getDefault

    public static SocketFactory getDefault()

  Factory method

  Returns:
    New TrustAllSSLSocketFactory

### createSocket

    public Socket createSocket(Socket socket,
                               String s,
                               int i,
                               boolean flag)
                        throws IOException

  Specified by:
    `createSocket` in class `SSLSocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(InetAddress inaddr,
                               int i,
                               InetAddress inaddr1,
                               int j)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(InetAddress inaddr,
                               int i)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(String s,
                               int i,
                               InetAddress inaddr,
                               int j)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(String s,
                               int i)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket()
                        throws IOException

  Overrides:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### getDefaultCipherSuites

    public String[] getDefaultCipherSuites()

  Specified by:
    `getDefaultCipherSuites` in class `SSLSocketFactory`

### getSupportedCipherSuites

    public String[] getSupportedCipherSuites()

  Specified by:
    `getSupportedCipherSuites` in class `SSLSocketFactory`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.